Đến nội dung


Hình ảnh
- - - - -

[HỎI] Lấy số lượng đối tượng khi dùng acet-ss-to-list


  • Please log in to reply
2 replies to this topic

#1 tuan138

tuan138

    biết zoom

  • Members
  • Pip
  • 18 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 21 December 2012 - 12:41 AM

Chào các bác!
Nhân ngày tận thế e có vấn đề nan giải này mà tìm mãi chưa có câu trả lời.
E dùng: (acet-ss-to-list (ssget '((0 . "insert"))))
Để chọn các block trên bản vẽ. Nhưng giờ muốn lấy số lượng đối tượng khi chọn bằng cái này thì làm thế nào các bác nhỉ.
Không dùng foreach để duyệt từng đối tượng và tăng từng lần cho biến để đếm nhé. Vì e muốn lấy ngay số đối tượng để xử lý ngay từ đầu.
Cảm ơn các bác nhiều!
  • 0

#2 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5449 Bài viết
Điểm đánh giá: 2625 (tuyệt vời)

Đã gửi 21 December 2012 - 06:56 AM

Chào các bác!
Nhân ngày tận thế e có vấn đề nan giải này mà tìm mãi chưa có câu trả lời.
E dùng: (acet-ss-to-list (ssget '((0 . "insert"))))
Để chọn các block trên bản vẽ. Nhưng giờ muốn lấy số lượng đối tượng khi chọn bằng cái này thì làm thế nào các bác nhỉ.
Không dùng foreach để duyệt từng đối tượng và tăng từng lần cho biến để đếm nhé. Vì e muốn lấy ngay số đối tượng để xử lý ngay từ đầu.
Cảm ơn các bác nhiều!

Cái khó làm được mà sao cái dễ lại bí? Số đối tượng chính là chiều dài danh sách thôi.
(setq so_doi_tuong (length (acet-ss-to-list (ssget '((0 . "insert"))))))
  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#3 tuan138

tuan138

    biết zoom

  • Members
  • Pip
  • 18 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 21 December 2012 - 11:25 AM

E cũng dùng length thử như mãi ko được. Chắc tại lỗi ở đâu đó nên e cứ nghĩ là không được. Giờ được rồi. Thanks bác rất nhiều! :D
  • 0